//============================================================================
// FILE: C_TransferInformation.h
//
// TYPE: C++CLASS
// DESCRIPTION: entête de la classe de 'TransferInformation' 
// 
// AUTHORS: Rellier (INRA/UBIA, Toulouse)
// REFERENCE : "Fondements ontologiques des systèmes pilotés"
//             R. Martin-Clouaire, J.-P. Rellier (INRA/UBIA, Toulouse)
//=X===============X=============================X============================

#ifndef _C_TRANSFERINFORMATION_HH
#define _C_TRANSFERINFORMATION_HH

// SYSTEM INCLUDES
//

// PROJECT INCLUDES
//
#include "C_CoreTypes.h"
//

// /X///////////////X/////////////////////////////X////////////////////////////
//
// TransferInformation
//
// /X///////////////X/////////////////////////////X////////////////////////////
/**@name Spécification des modalités d'un transfert */
//@{
         ///
class TransferInformation : public Entity
{
public:
          // Constructeur de base.
   TransferInformation();
};
//@}

//=X===============X=============================X============================



/**@name Etablissement d'une demande en capacité de ressource
 */
//@{
        ///
MultipleResourceCapacity* SetCapacityDemand(TransferInformation*, pEntityTab*, bool);
//@}


#endif  // _C_TRANSFERINFORMATION_HH
